Package ghidra.graph.viewer

# Enum Class GraphComponent.SatellitePosition

java.lang.Object
java.lang.Enum<GraphComponent.SatellitePosition>
ghidra.graph.viewer.GraphComponent.SatellitePosition

All Implemented Interfaces:
  `Serializable`, `Comparable<GraphComponent.SatellitePosition>`, `Constable`

Enclosing class:
  `GraphComponent<V extends VisualVertex,E extends VisualEdge<V>,G extends VisualGraph<V,E>>`

public static enum GraphComponent.SatellitePosition extends Enum<GraphComponent.SatellitePosition>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LOWER_LEFT`
  `LOWER_RIGHT`
  `UPPER_LEFT`
  `UPPER_RIGHT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GraphComponent.SatellitePosition`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GraphComponent.SatellitePosition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UPPER_LEFT

    public static final GraphComponent.SatellitePosition UPPER_LEFT

  - ### UPPER_RIGHT

    public static final GraphComponent.SatellitePosition UPPER_RIGHT

  - ### LOWER_LEFT

    public static final GraphComponent.SatellitePosition LOWER_LEFT

  - ### LOWER_RIGHT

    public static final GraphComponent.SatellitePosition LOWER_RIGHT

- ## Method Details

  - ### values

    public static GraphComponent.SatellitePosition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GraphComponent.SatellitePosition valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null